i2o_proc_iop_add
Prev | I2O message devices | Next

## Name

i2o_proc_iop_add — Add an I2O controller to the i2o proc tree

## Synopsis

`int i2o_proc_iop_add (` | struct proc_dir_entry * | dir,
| struct i2o_controller * | c`)`;

## Arguments

`dir`

  parent proc dir entry

`c`

  I2O controller which should be added

## Description

Add the entries to the parent proc dir entry. Also each device is added to the controllers proc dir entry.

Returns 0 on success or negative error code on failure.

Prev | Up | Next
i2o_proc_device_add | Home | i2o_proc_iop_remove